Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1347167 - [abrt] qxkb: QString::operator=(): qxkb killed by SIGSEGV
Summary: [abrt] qxkb: QString::operator=(): qxkb killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qxkb
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22945640c53471a0f1f9b4d42b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 08:16 UTC by mastaiza
Modified: 2017-07-27 10:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-27 10:05:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (68.01 KB, text/plain)
2016-06-16 08:16 UTC, mastaiza
no flags Details
File: cgroup (242 bytes, text/plain)
2016-06-16 08:16 UTC, mastaiza
no flags Details
File: core_backtrace (21.51 KB, text/plain)
2016-06-16 08:16 UTC, mastaiza
no flags Details
File: dso_list (6.12 KB, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: environ (906 bytes, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: maps (33.59 KB, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: mountinfo (3.22 KB, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: open_fds (524 bytes, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: var_log_messages (298 bytes, text/plain)
2016-06-16 08:17 UTC, mastaiza
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-06-16 08:17 UTC, mastaiza
no flags Details

Description mastaiza 2016-06-16 08:16:51 UTC
Version-Release number of selected component:
qxkb-0.4.6-8.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        qxkb
crash_function: QString::operator=
executable:     /usr/bin/qxkb
global_pid:     8755
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QString::operator= at tools/qstring.cpp:1410
 #1 QXKBconf::comboVariantCh at /usr/src/debug/qxkb-0.4.6/src/xkbconf.cpp:346
 #2 QXKBconf::qt_static_metacall at /usr/src/debug/qxkb-0.4.6/build/src/moc_xkbconf.cxx:83
 #3 QMetaObject::activate at kernel/qobject.cpp:3567
 #4 QComboBox::currentIndexChanged at .moc/release-shared/moc_qcombobox.cpp:315
 #5 QComboBoxPrivate::_q_emitCurrentIndexChanged at widgets/qcombobox.cpp:1278
 #6 QComboBoxPrivate::setCurrentIndex at widgets/qcombobox.cpp:2049
 #7 QComboBox::setCurrentIndex at widgets/qcombobox.cpp:2025
 #8 QXKBconf::dstClick at /usr/src/debug/qxkb-0.4.6/src/xkbconf.cpp:312
 #9 QXKBconf::qt_static_metacall at /usr/src/debug/qxkb-0.4.6/build/src/moc_xkbconf.cxx:81

Potential duplicate: bug 1222349

Comment 1 mastaiza 2016-06-16 08:16:55 UTC
Created attachment 1168610 [details]
File: backtrace

Comment 2 mastaiza 2016-06-16 08:16:57 UTC
Created attachment 1168611 [details]
File: cgroup

Comment 3 mastaiza 2016-06-16 08:16:59 UTC
Created attachment 1168612 [details]
File: core_backtrace

Comment 4 mastaiza 2016-06-16 08:17:01 UTC
Created attachment 1168613 [details]
File: dso_list

Comment 5 mastaiza 2016-06-16 08:17:02 UTC
Created attachment 1168614 [details]
File: environ

Comment 6 mastaiza 2016-06-16 08:17:03 UTC
Created attachment 1168615 [details]
File: limits

Comment 7 mastaiza 2016-06-16 08:17:06 UTC
Created attachment 1168616 [details]
File: maps

Comment 8 mastaiza 2016-06-16 08:17:07 UTC
Created attachment 1168618 [details]
File: mountinfo

Comment 9 mastaiza 2016-06-16 08:17:09 UTC
Created attachment 1168619 [details]
File: namespaces

Comment 10 mastaiza 2016-06-16 08:17:10 UTC
Created attachment 1168620 [details]
File: open_fds

Comment 11 mastaiza 2016-06-16 08:17:12 UTC
Created attachment 1168621 [details]
File: proc_pid_status

Comment 12 mastaiza 2016-06-16 08:17:14 UTC
Created attachment 1168622 [details]
File: var_log_messages

Comment 13 mastaiza 2016-06-16 08:17:15 UTC
Created attachment 1168623 [details]
File: exploitable

Comment 14 Fedora End Of Life 2017-07-25 21:06:36 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.